#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Cython interface to HIDAPI library
Summary(pl.UTF-8):	Cythonowy interfejs do biblioteki HIDAPI
Name:		python3-hidapi
Version:	0.14.0.post4
Release:	1
License:	GPL v3 or BSD or HIDAPI
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/hidapi/
Source0:	https://files.pythonhosted.org/packages/source/h/hidapi/hidapi-%{version}.tar.gz
# Source0-md5:	e40ef74132829a8e51bfa9005f8ead04
URL:		https://pypi.org/project/hidapi/
BuildRequires:	hidapi-devel >= 0.14.0
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools >= 1:19.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	hidapi >= 0.14.0
Requires:	python3-libs >= 1:3.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cython interface to HIDAPI library.

%description -l pl.UTF-8
Cythonowy interfejs do biblioteki HIDAPI.

%prep
%setup -q -n hidapi-%{version}

%build
%py3_build \
	--with-system-hidapi

%if %{with tests}
PYTHONPATH=$(echo build-3/lib.*) \
%{__python3} -m unittest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt LICENSE-bsd.txt LICENSE-orig.txt README.rst
%attr(755,root,root) %{py3_sitedir}/hid.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/hidraw.cpython-*.so
%{py3_sitedir}/hidapi-%{version}-py*.egg-info
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-hidapi.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 57c20fd
- Up to 0.14.0.post4

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7c5bea6
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b21600b
- python 3.13 rebuild

* Sun Nov 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 568c8d0
- python-hidapi.spec updated to 0.14.0 for python 3.5+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d535df7
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> b169811
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6bc0353
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 04fa15a
- setuptools epoch

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 9552d78
- rebuild with separate debuginfo build-ids

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 27c3629
- release 2 (by relup.sh)

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> c152090
- updated to 0.9.0.post2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 8f2c755
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ba73bde
- release 2 (by relup.sh)

* Mon May 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 0d5816e
- new

